Bug 1380767 - [RFE] anaconda should support setting the default partitioning type as part of an installclass
Summary: [RFE] anaconda should support setting the default partitioning type as part o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Vendula Poncova
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 1370433 1374007 1380646
TreeView+ depends on / blocked
 
Reported: 2016-09-30 14:08 UTC by Ryan Barry
Modified: 2017-08-01 08:53 UTC (History)
12 users (show)

Fixed In Version: anaconda-21.48.22.98-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 08:53:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1412151 0 unspecified CLOSED [RFE] Allow setting constraints for manual partitioning 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHBA-2017:2293 0 normal SHIPPED_LIVE anaconda bug fix and enhancement update 2017-08-01 12:39:44 UTC

Internal Links: 1412151

Description Ryan Barry 2016-09-30 14:08:01 UTC
Description of problem:
Right now, if an installclass which matches some product is used, autopartitioning can correctly set all values for the system.

However, if users select "Manual Partitioning", the values from the installclass (btrfs v LVM thin provisioning v regular LVM; xfs v ext4 v ...) are not used as defaults.

Instead, this values appear to be set by a constant, which is not customizable.

Expected results:

It should be possible to set some value in an installclass which changes these defaults if 'manual partitioning' is selected.

Comment 2 Vendula Poncova 2017-01-13 11:06:34 UTC
Could you please attach a file with the custom installclass and provide some concrete examples of the expected versus actual behaviour, please?

Comment 3 Ryan Barry 2017-01-13 15:53:24 UTC
https://github.com/rhinstaller/anaconda/blob/rhel7-branch/pyanaconda/installclasses/rhv.py

You can see what we use "thin=true"

However, if you boot Anaconda in interactive mode and manual partitioning is selected, anaconda still defaults to regular, non-thin volumes.

Comment 4 Vit Ry 2017-01-30 22:51:58 UTC
+1 for this feature

Comment 5 Vendula Poncova 2017-01-31 15:55:32 UTC
Fix in a pull request: https://github.com/rhinstaller/anaconda/pull/941

Comment 9 Peter Kotvan 2017-05-29 12:40:39 UTC
Verified on RHEL-7.4-20170525.7 with anaconda-21.48.22.115-1.el7.

Thanks.

Comment 10 errata-xmlrpc 2017-08-01 08:53:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2293


Note You need to log in before you can comment on or make changes to this bug.